"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadialProgress = void 0;
const preact_1 = require("preact");
const RadialProgress = ({ diameter, progress }) => {
    const stroke = 2;
    const radius = diameter / 2 - stroke;
    const circumference = 2 * Math.PI * radius;
    const filled = circumference * progress;
    return ((0, preact_1.h)("svg", { className: "radial-progress", width: diameter, height: diameter },
        (0, preact_1.h)("circle", { fill: "transparent", cx: radius + stroke, cy: radius + stroke, r: radius, "stroke-width": stroke, "stroke-dasharray": circumference, "stroke-dashoffset": filled, transform: `rotate(-90) translate(-${radius * 2 + stroke * 2} 0)` })));
};
exports.RadialProgress = RadialProgress;
//# sourceMappingURL=RadialProgress.js.map