import { FlagsResponse } from "./flags";
export declare function mergeDeep(target: Record<string, any>, ...sources: Record<string, any>[]): Record<string, any>;
export type FeatureFlagsResponse = {
    success: boolean;
    flags: FlagsResponse;
};
export declare function fetchFlags(url: string, timeoutMs: number): Promise<FlagsResponse | undefined>;
export declare const FLAGS_STALE_MS = 60000;
export declare const FLAGS_EXPIRE_MS: number;
export declare function clearCache(): void;
export declare function getFlags({ apiBaseUrl, context, staleWhileRevalidate, timeoutMs, cacheNegativeAttempts, }: {
    apiBaseUrl: string;
    context: object;
    staleWhileRevalidate?: boolean;
    timeoutMs?: number;
    cacheNegativeAttempts?: number | false;
}): Promise<FlagsResponse | undefined>;
