export type { FeatureFlagsOptions, Flag, FlagsResponse as Flags, } from "./flags";
export type { Options } from "./types";
declare const _default: {
    init: (key: string, options?: import("./types").Options) => void;
    reset: () => void;
    version: string;
    user: (userId: string, attributes?: Record<string, any> | undefined, context?: import("./types").Context | undefined) => Promise<Response>;
    company: (companyId: string, attributes?: Record<string, any> | null | undefined, userId?: string | undefined, context?: import("./types").Context | undefined) => Promise<Response>;
    track: (eventName: string, attributes?: Record<string, any> | null | undefined, userId?: string | undefined, companyId?: string | undefined, context?: import("./types").Context | undefined) => Promise<Response>;
    feedback: ({ feedbackId, featureId, question, score, userId, companyId, comment, promptId, promptedQuestion, source, }: import("./types").Feedback) => Promise<Response>;
    requestFeedback: (options: import("./types").RequestFeedbackOptions) => void;
    initLiveSatisfaction: (userId?: string | undefined) => Promise<string | Response | undefined>;
    initLiveFeedback: (userId?: string | undefined) => Promise<string | Response | undefined>;
    getFeatureFlags: ({ context, fallbackFlags, timeoutMs, staleWhileRevalidate, }: import("./flags").FeatureFlagsOptions) => Promise<Record<string, boolean>>;
};
export default _default;
