import { FeatureFlagsOptions } from "./flags";
import type { Context, Feedback, Key, Options, RequestFeedbackOptions } from "./types";
export default function main(): {
    init: (key: Key, options?: Options) => void;
    reset: () => void;
    version: string;
    user: (userId: string, attributes?: Record<string, any>, context?: Context) => Promise<Response>;
    company: (companyId: string, attributes?: Record<string, any> | null, userId?: string, context?: Context) => Promise<Response>;
    track: (eventName: string, attributes?: Record<string, any> | null, userId?: string, companyId?: string, context?: Context) => Promise<Response>;
    feedback: ({ feedbackId, featureId, question, score, userId, companyId, comment, promptId, promptedQuestion, source, }: Feedback) => Promise<Response>;
    requestFeedback: (options: RequestFeedbackOptions) => void;
    initLiveSatisfaction: (userId?: string) => Promise<string | Response | undefined>;
    initLiveFeedback: (userId?: string) => Promise<string | Response | undefined>;
    getFeatureFlags: ({ context, fallbackFlags, timeoutMs, staleWhileRevalidate, }: FeatureFlagsOptions) => Promise<Record<string, boolean>>;
};
