export declare class AblySSEChannel {
    private userId;
    private channel;
    private ablyAuthUrl;
    private sseHost;
    private messageHandler;
    private isOpen;
    private eventSource;
    private retryInterval;
    private debug;
    constructor(userId: string, channel: string, ablyAuthUrl: string, sseHost: string, messageHandler: (message: any) => void, options?: {
        debug?: boolean;
    });
    private log;
    private warn;
    private err;
    private refreshTokenRequest;
    private refreshToken;
    private onError;
    private onMessage;
    private onOpen;
    connect(): Promise<void>;
    disconnect(): void;
    open(options?: {
        retryInterval?: number;
        retryCount?: number;
    }): void;
    close(): void;
    isActive(): boolean;
    isConnected(): boolean;
}
export declare function openAblySSEChannel(ablyAuthUrl: string, userId: string, channel: string, callback: (req: object) => void, options?: {
    debug?: boolean;
    retryInterval?: number;
    retryCount?: number;
    sseHost?: string;
}): AblySSEChannel;
export declare function closeAblySSEChannel(channel: AblySSEChannel): void;
